Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 347481 - dev-games/openscenegraph-2.8.3 fails to compile due to ‘AVSampleFormat’ in class ‘osg::AudioStream’ does not name a type
Summary: dev-games/openscenegraph-2.8.3 fails to compile due to ‘AVSampleFormat’ in cl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Games (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords:
: 355663 (view as bug list)
Depends on:
Blocks: CVE-2010-3429 347625
  Show dependency tree
 
Reported: 2010-12-01 20:51 UTC by Juergen Rose
Modified: 2011-09-20 12:55 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/dev-games/openscenegraph-2.8.3/temp/build.log (build.log,895.16 KB, text/plain)
2010-12-01 20:51 UTC, Juergen Rose
Details
dev-games/openscenegraph-2.8.3 build.log (build.log,88.01 KB, text/plain)
2010-12-16 19:18 UTC, Jeremy Gove
Details
#define FF_API_OLD_SAMPLE_FMT 0 (gentoo347481b.patch,1.12 KB, patch)
2011-02-04 09:05 UTC, Martin von Gagern
Details | Diff
ebuild which used the patch in comment 12 (openscenegraph-2.8.3-r1.ebuild,3.81 KB, text/plain)
2011-02-14 10:52 UTC, Juergen Rose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2010-12-01 20:51:19 UTC
'emerge openscenegraph' fails with:
...
In file included from /var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegDecoder.hpp:5:0,
                 from /var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegImageStream.hpp:10,
                 from /var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegImageStream.cpp:2:
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegDecoderAudio.hpp:48:5: error: ‘AVSampleFormat’ in class ‘osg::AudioStream’ does not name a type
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegDecoderAudio.hpp:74:5: error: ‘AVSampleFormat’ in class ‘osg::AudioStream’ does not name a type
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegDecoderAudio.hpp:107:8: error: ‘AVSampleFormat’ in class ‘osg::AudioStream’ does not name a type
In file included from /var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegImageStream.cpp:3:0:
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp:26:9: error: ‘AVSampleFormat’ in class ‘osg::AudioStream’ does not name a type
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp: In member function ‘virtual osg::Object* osgFFmpeg::FFmpegAudioStream::cloneType() const’:
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp:18:9: error: cannot allocate an object of abstract type ‘osgFFmpeg::FFmpegAudioStream’
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp:12:5: note:   because the following virtual functions are pure within ‘osgFFmpeg::FFmpegAudioStream’:
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/include/osg/AudioStream:80:30: note:  virtual osg::AudioStream::SampleFormat osg::AudioStream::audioSampleFormat() const
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp: In member function ‘virtual osg::Object* osgFFmpeg::FFmpegAudioStream::clone(const osg::CopyOp&) const’:
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp:18:9: error: cannot allocate an object of abstract type ‘osgFFmpeg::FFmpegAudioStream’
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp:12:5: note:   since type ‘osgFFmpeg::FFmpegAudioStream’ has pure virtual functions
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegImageStream.cpp: In member function ‘bool osgFFmpeg::FFmpegImageStream::open(const std::string&)’:
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegImageStream.cpp:92:74: error: cannot allocate an object of abstract type ‘osgFFmpeg::FFmpegAudioStream’
/var/tmp/portage/dev-games/openscenegraph-2.8.3/work/OpenSceneGraph-2.8.3/src/osgPlugins/ffmpeg/FFmpegAudioStream.hpp:12:5: note:   since type ‘osgFFmpeg::FFmpegAudioStream’ has pure virtual functions
/usr/bin/cmake -E cmake_progress_report /var/tmp/portage/dev-games/openscenegraph-2.8.3/work/openscenegraph-2.8.3_build/CMakeFiles 
make[2]: *** [src/osgPlugins/ffmpeg/CMakeFiles/osgdb_ffmpeg.dir/FFmpegImageStream.o] Error 1
...


Reproducible: Always




root@moose:/usr/local/portage/app-office(127)# emerge --info =dev-games/openscenegraph-2.8.3
Portage 2.1.9.25 (default/linux/amd64/10.0/desktop, gcc-4.5.1, glibc-2.12.1-r3, 2.6.36-gentoo-r3 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.36-gentoo-r3-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9650_@_3.00GHz-with-gentoo-2.0.1
Timestamp of tree: Wed, 01 Dec 2010 10:00:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r2
dev-lang/python:     2.6.6-r1, 3.1.3
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.6.6
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.5, 4.5.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 skype-eula googleearth AdobeFlash-10.1 cadsoft"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de fr"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/science /var/lib/layman/x11 /var/lib/layman/java-overlay /var/lib/layman/sunrise /var/lib/layman/arcon /var/lib/layman/pro-audio /var/lib/layman/n4g /var/lib/layman/qting-edge /usr/local/portage /var/lib/cpan"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit R X Xaw3d a52 aac abiword acl acpi admin afs alsa amd64 ao apache2 applet archive arpack asf aspell assistant audacious audiofile automap automount bash-completion beagle berkdb blas blast bluetooth boo boost branding bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli consolekit corba cracklib crypt css cuda cups curl cxx daap db dbase dbi dbm dbus designer devhelp device-mapper dga dia djvu doc dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds elf emacs emboss emf empathy encode epiphany evo examples exif expat extensions extra extras fam fame ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fpx fts3 fuse galago garmin gd gdal gdbm gedit geoip geolocation geos gif gimp ginac git glade glib gml gmp gmtsuppl gnokii gnome gnome-keyring gnome-print gnuplot gnutls gphoto2 gpm grammar graphics graphtft graphviz grass gs gsl gsm gstreamer gtk guile hal harness hddtemp hdf hdf5 hdri hlapi http httpd hvm iconv icq icu id3 ide imagemagick imap innodb inotify ipod ipv6 irda ithreads jabber jadetex java java5 java6 jbig john jpeg jpeg2k kdrive kerberos kpathsea kqemu kvm ladspa lame lapack latex latex3 lcms ldap lensfun libffi libgda libnotify libsamplerate lirc lm_sensors lua lzo mad mail maildir mailwrapper mapnik math matroska mikmod mkl mmx mmxext mng modules mono moonlight motif mozdevelop mozilla mp3 mp4 mpeg mpi mplayer mtp mudflap multilib musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking networkmanager nfs nls nntp nptl nptlonly nsplugin ntfs ntp numarray numeric nvidia obex objc ocaml octave odbc ogdi ogg ole openexr opengl openmp overview pae pam pango pcre pda pdf perl plotutils plugins png podcast policykit posix postgres postscript ppds pppd preview-latex proj projectx pstricks pulseaudio pymol python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime readline reiserfs reports rle romio rpc rrdcgi rrdtool samba sasl science sdl secure-delete semantic-desktop server session sip slang slp smbclient smp sms sndfile snmp soup sox speex spell sql sqlite sse sse2 ssl startup-notification stlport subtitles subversion suexec svg swig sysfs szip t1lib tcl tcpd tex tex4ht texmacs theora threads thunderbird tidy tiff tk tntc tools truetype udev unicode usb userlocales utempter v4l2 virtualbox vorbis wav webdav webdav-serf webkit wifi wmf wxwidgets x264 xattr xcb xemacs xext xine xml xmlreader xmlrpc xorg xpm xulrunner xv xvid xvmc zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de fr" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-2" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18 jruby" USERLAND="GNU" VIDEO_CARDS="nv nvidia nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-games/openscenegraph-2.8.3 was built with the following:
USE="curl doc examples ffmpeg fltk gdal gif gtk jpeg jpeg2k (multilib) openexr pdf png qt4 sdl svg tiff truetype wxwidgets xine zlib -debug -fox -glut -openinventor -osgapps -static-libs -vnc -xrandr"
Comment 1 Juergen Rose 2010-12-01 20:51:56 UTC
Created attachment 256069 [details]
/var/tmp/portage/dev-games/openscenegraph-2.8.3/temp/build.log
Comment 2 Christian Faulhammer (RETIRED) gentoo-dev 2010-12-03 22:31:42 UTC
This only occurs with ffmpeg-0.6_p25767 or newer.  Please work on a fix as it holds up Chromium and FFmpeg security stabilisations.
Comment 3 Jeremy Gove 2010-12-16 19:18:21 UTC
Created attachment 257353 [details]
dev-games/openscenegraph-2.8.3 build.log

It fails with media-video/ffmpeg-0.6_p25767, but builds fine with USE="-ffmpeg".
Comment 4 Juergen Rose 2010-12-28 14:00:45 UTC
Four weeks later: Any news?
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2010-12-29 00:11:32 UTC
openscenegraph-2.9.10 compiles against latest ffmpeg...
Comment 6 DaggyStyle 2010-12-29 20:53:10 UTC
(In reply to comment #5)
> openscenegraph-2.9.10 compiles against latest ffmpeg...
> 
but 2.8.3 is latest in portage...
Comment 7 Thomas Capricelli 2011-01-06 00:31:51 UTC
Hi, i'm hit by this compilation problem too. Using ~amd64, media-video/ffmpeg-0.6_p25767, ffmpeg is in USE and dev-games/openscenegraph-2.8.3 compilation will fail with the same errors as reported.
Comment 8 Massimo Balestra 2011-01-15 16:45:52 UTC
I have the same problem, openscenegraph does not compile with the same error.
This is mi emerge --info
Portage 2.1.9.31 (default/linux/x86/10.0/desktop, gcc-4.5.2, glibc-2.12.2-r0, 2.6.37-gentoo i686)
=================================================================
System uname: Linux-2.6.37-gentoo-i686-Intel-R-_Pentium-R-_4_CPU_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 15 Jan 2011 13:55:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe "
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=i686 -pipe "
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.wetzlmayr.com/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://mirror.usu.edu/mirrors/gentoo/ http://gentoo.osuosl.org/ ftp://mirror.its.uidaho.edu/gentoo/ http://gentoo.mirrors.tds.net/gentoo http://distro.ibiblio.org/pub/linux/distributions/gentoo/ ftp://mirror.iawnet.sandia.gov/pub/gentoo/ http://gentoo.cs.uni.edu/ ftp://mirror.datapipe.net/gentoo http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://mirror.its.uidaho.edu/pub/gentoo/ ftp://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ ftp://chi-10g-1-mirror.fastsoft.net/pub/linux/gentoo/gentoo-distfiles/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_US it eo"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa apache2 apm audiofile bash-completion branding bzip2 cairo cdr cli clutter consolekit cracklib crypt css cups cxx dbus device-mapper doc dri dts dv dvd dvdr eds emboss enca encode evo examples exif extras fam ffmpeg firefox flac fontconfig fortran ftp gd gdbm gif gimp glx gnome gnutls gpm gstreamer gtk guile gzip iconv ieee1394 ipod ipv6 ithreads jadetex jpeg kde kdrive lcms libnotify libwww mad mikmod mmx mng modules mp3 mp4 mpeg mplayer msn mudflap mysql ncurses networking nls nptl nptlonly ogg opengl openmp oss pam pango pcre pdf perl php png policykit ppds pppd python qt3support qt4 quicktime rar readline sasl scanner sdl semantic-desktop session sip snmp sockets spell sql sqlite ssl startup-notification svg sysfs tcpd threads tiff tk tls truetype udev unicode unrar unzip usb v4l v4l2 vnc vorbis wav weather webkit wifi win32codecs x264 x86 xcb xine xml xorg xscreensaver xulrunner xv xvid yahoo yv12 zip zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US it eo" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

thanks
Massimo
Comment 9 Alexey Puninskiy 2011-01-24 22:13:07 UTC
same problem here. builds fine with -ffmpeg USEflag.
Comment 10 Martin von Gagern 2011-01-30 22:22:48 UTC
The preprocessor changes SampleFormat to AVSampleFormat due to this:
/usr/include/libavcodec/avcodec.h:#define SampleFormat AVSampleFormat
Comment 11 DaggyStyle 2011-02-04 06:40:52 UTC
any news? still occurring...
Comment 12 Martin von Gagern 2011-02-04 09:05:13 UTC
Created attachment 261477 [details, diff]
#define FF_API_OLD_SAMPLE_FMT 0

This patch makes osg compile for me. See also the corresponding ffmpeg commit:
http://git.ffmpeg.org/?p=ffmpeg.git;a=commitdiff;h=262d1c5d2206467809fd81d841d09ad70cc8ba13
It introduced the problematic #define SampleFormat, but at the same time provided a means to avoid that problem, using the macro FF_API_OLD_SAMPLE_FMT.
Comment 13 Martin von Gagern 2011-02-10 09:48:19 UTC
Reported this upstream using the osg-users mailing list:
http://thread.gmane.org/gmane.comp.graphics.openscenegraph.user/65408
Still would like to see this in Gentoo before upstream releases a fix, though.
Comment 14 Martin von Gagern 2011-02-10 12:28:07 UTC
(In reply to comment #13)
> Reported this upstream using the osg-users mailing list:
> http://thread.gmane.org/gmane.comp.graphics.openscenegraph.user/65408

Fix accepted upstream:
http://www.openscenegraph.org/projects/osg/changeset/12154/
Comment 15 Juergen Rose 2011-02-14 09:22:07 UTC
Hi Martin
do we have a patch, which uses the fix in http://www.openscenegraph.org/projects/osg/changeset/12154/ ?
Comment 16 Martin von Gagern 2011-02-14 09:51:10 UTC
(In reply to comment #15)
> do we have a patch, which uses the fix in [upstream r12154]?

Not sure I understand your question correctly, but I posted that very same fix here in comment #12. So "we" as in "the people following this report" have a fix, ready for download. "We" as in "the consumers of the main portage tree" still lack the fix, as it hasn't been committed to the main portage tree yet.

By the way, even if I hadn't posted the patch here already, it would be fairly simple to grab it from the upstream repository, either using Trac:
http://www.openscenegraph.org/projects/osg/changeset/12154/?format=diff
(following the "Unified Diff" link on the changeset page) or using svn:
$ svn diff -c 12154 http://www.openscenegraph.org/svn/osg
Either way you'd loose the introductory text I included in my patch, though.
Comment 17 Juergen Rose 2011-02-14 10:51:24 UTC
Sorry Martin, I just missed that there was a patch attached to comment 12 or probably I ignored comment 12. Thank you for the patch. It worked for me with the attachted ebuild.

Comment 18 Juergen Rose 2011-02-14 10:52:12 UTC
Created attachment 262451 [details]
ebuild which used the patch in comment 12
Comment 19 Mr. Bones. (RETIRED) gentoo-dev 2011-02-20 14:42:15 UTC
*** Bug 355663 has been marked as a duplicate of this bug. ***
Comment 20 Jon Gerdes 2011-02-26 02:31:26 UTC
Thanks for the patch.  Popped it into /etc/portage/patches/dev-games/openscenegraph-2.8.3/ and it compiled fine.

I seem to be using the user patch mechanism quite a lot recently 8)

~amd64.



Comment 21 Martin von Gagern 2011-04-20 06:51:18 UTC
Maintainers, can we get some progress here please? This bug has been around for over 4 months, there is a patch which has been accepted by upstream for over 2 months now. Plus we are blocking a CVS security issue. Before the major bugzilla upgrade, I'd add the "Inclusion" keyword myself, but it seems I can no longer do so. Please, simply add the patch and close this thing, will you?
Comment 22 Tupone Alfredo gentoo-dev 2011-04-22 08:28:59 UTC
Fixed.
Thanks for report